> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devinenterprise.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Supprimer une organisation

> Supprimer une organisation de cette Enterprise

Nécessite une API key personnelle d’un administrateur Enterprise.

Supprime une organisation de votre Enterprise.

<Warning>
  Cette action est irréversible. L'organisation sera définitivement supprimée, ainsi que tous les rattachements des utilisateurs à l'organisation. Vous ne pouvez pas supprimer l'organisation principale de votre Enterprise.
</Warning>


## OpenAPI

````yaml fr/v2-openapi.yaml DELETE /v2/enterprise/organizations/{org_id}
openapi: 3.1.0
info:
  description: >-
    API Devin v2 avec clés d’API personnelles pour les administrateurs
    Enterprise
  title: Devin API v2
  version: 2.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v2/enterprise/organizations/{org_id}:
    delete:
      tags:
        - organizations
      summary: Point de terminaison pour supprimer une organisation Enterprise
      description: Supprimer une organisation de ce compte Enterprise
      operationId: >-
        delete_enterprise_organization_endpoint_v2_enterprise_organizations__org_id__delete
      parameters:
        - in: path
          name: org_id
          required: true
          schema:
            title: Org Id
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SuccessResponse'
          description: Réponse en cas de succès
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Erreur de validation
components:
  schemas:
    SuccessResponse:
      properties:
        status:
          default: success
          title: Status
          type: string
      title: SuccessResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: >-
        API Key personnelle (apk_user_*) réservée uniquement aux administrateurs
        Enterprise
      scheme: bearer
      type: http

````